Compare commits

..

2 Commits

Author SHA1 Message Date
Xe Iaso
90a914ff26 test: ensure FORCED_LANGUAGE works
Closes #1077
2025-09-05 21:59:15 +00:00
Rimas Kudelis
fd011d19e2 Updates to lt.json (#1075)
Minor improvements to Lithuanian strings

Signed-off-by: Rimas Kudelis <rimas@kudelis.lt>
2025-09-03 20:07:46 -04:00
6 changed files with 65 additions and 4 deletions

View File

@@ -14,6 +14,7 @@ jobs:
strategy:
matrix:
test:
- forced-language
- git-clone
- git-push
- healthcheck

View File

@@ -36,12 +36,12 @@
"invalid_redirect": "Netinkamas nukreipimas",
"redirect_not_parseable": "Nukreipimo adreso nepavyko išanalizuoti",
"redirect_domain_not_allowed": "Nukreipimo domenas neleistinas",
"missing_required_forwarded_headers": "Trūksta būtinų X-Forwarded-* antraščių",
"missing_required_forwarded_headers": "Trūksta būtinų X-Forwarded-* antraščių",
"failed_to_sign_jwt": "nepavyko pasirašyti JWT",
"invalid_invocation": "Netinkamas kreipinys į „MakeChallenge“",
"client_error_browser": "Kliento klaida: įsitikinkite, jog jūsų naršyklė pakankamai atšviežinta ir bandykite dar kartą.",
"client_error_browser": "Problema klientinėje dalyje: įsitikinkite, jog jūsų naršyklė nepasenusi ir bandykite dar kartą.",
"oh_noes": "O, ne!",
"benchmarking_anubis": "„Anubis“ vertina!",
"benchmarking_anubis": "Vertinama „Anubis“ sparta!",
"you_are_not_a_bot": "Jūs nesate robotas!",
"making_sure_not_bot": "Stengiamasi užtikrinti, jog jūs nesate robotas!",
"celphase": "CELPHASE",
@@ -63,4 +63,4 @@
"js_finished_reading": "Viską perskaičiau, tęskime →",
"js_calculation_error": "Skaičiavimo klaida!",
"js_calculation_error_msg": "Nepavyko įveikti iššūkio:"
}
}

View File

@@ -0,0 +1,8 @@
bots:
- name: challenge
user_agent_regex: CHALLENGE
action: CHALLENGE
status_codes:
CHALLENGE: 200
DENY: 403

View File

@@ -0,0 +1,27 @@
async function getChallengePage() {
return fetch("http://localhost:8923/reqmeta", {
headers: {
"Accept-Language": "en",
"User-Agent": "CHALLENGE",
}
})
.then(resp => {
if (resp.status !== 200) {
throw new Error(`wanted status 200, got status: ${resp.status}`);
}
return resp;
})
.then(resp => resp.text());
}
(async () => {
const page = await getChallengePage();
if (!page.includes(`<html lang="de">`)) {
console.log(page)
throw new Error("force language smoke test failed");
}
console.log("FORCED_LANGUAGE=de caused a page to be rendered in german");
process.exit(0);
})();

23
test/forced-language/test.sh Executable file
View File

@@ -0,0 +1,23 @@
#!/usr/bin/env bash
set -euo pipefail
function cleanup() {
pkill -P $$
}
trap cleanup EXIT SIGINT
# Build static assets
(cd ../.. && npm ci && npm run assets)
go tool anubis --help 2>/dev/null ||:
go run ../cmd/unixhttpd &
FORCED_LANGUAGE=de go tool anubis \
--policy-fname ./anubis.yaml \
--use-remote-address \
--target=unix://$(pwd)/unixhttpd.sock &
backoff-retry node ./test.mjs

2
test/forced-language/var/.gitignore vendored Normal file
View File

@@ -0,0 +1,2 @@
*
!.gitignore